View Issue Details

IDProjectCategoryView StatusLast Update
0004592Slicer4Core: Extensionspublic2018-11-01 15:03
ReporterjamesobutlerAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows 10 HomeOS Version1709
Product Version 
Target VersionFixed in VersionSlicer 4.9.0 
Summary0004592: Additional Module paths fail to import path issue
Description

Additional Modules paths fail to import correctly when there is a single quote in the path. The user signs into Windows using full name (Graeme O'Connell). Attached is the Slicer log.
Issue is reproducible for both Slicer 4.8.1 and Slicer 4.9.0-2018-08-02 r27331. The single quote in the user's name is closing quotes in at least the following locations:

https://github.com/Slicer/Slicer/blob/2bec6b9f50fdc24a4054dadf96e093dafa37bcaf/Base/QTCore/qSlicerCorePythonManager.cxx#L113
https://github.com/Slicer/Slicer/blob/eefeac9286f48552e8418a11f412b2823a09b407/Base/QTCore/qSlicerScriptedUtils.cxx#L39
https://github.com/Slicer/Slicer/blob/eefeac9286f48552e8418a11f412b2823a09b407/Extensions/CMake/Testing/CMakeLists.txt#L43

TagsNo tags attached.

Activities

jamesobutler

jamesobutler

2018-08-02 17:02

reporter  

OCONNELL ERROR 08.02.2018.log (12,281 bytes)
jamesobutler

jamesobutler

2018-09-19 16:27

reporter   ~0016035

Proposed PR at https://github.com/Slicer/Slicer/pull/1023

jamesobutler

jamesobutler

2018-09-25 11:49

reporter   ~0016040

Fixed issued as r27424 and git https://github.com/Slicer/Slicer/commit/e40af17987ff03931930d3c9ba198a0738f37f86

jcfr

jcfr

2018-11-01 15:03

administrator   ~0016186

As indicated in the last comment, this was addressed in r27424

Issue History

Date Modified Username Field Change
2018-08-02 17:02 jamesobutler New Issue
2018-08-02 17:02 jamesobutler Status new => assigned
2018-08-02 17:02 jamesobutler Assigned To => jcfr
2018-08-02 17:02 jamesobutler File Added: OCONNELL ERROR 08.02.2018.log
2018-09-19 16:27 jamesobutler Note Added: 0016035
2018-09-25 11:49 jamesobutler Fixed in Version => Slicer 4.9.0
2018-09-25 11:49 jamesobutler Note Added: 0016040
2018-11-01 15:03 jcfr Status assigned => resolved
2018-11-01 15:03 jcfr Resolution open => fixed
2018-11-01 15:03 jcfr Note Added: 0016186